curl --request GET \
--url https://{defaultHost}/v1/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"pagination": {
"count": 1,
"limit": 20,
"page": 1,
"url": "/v1/orders"
},
"data": [
{
"id": "e99cd4c0-816f-42c2-8153-7ed97037b163",
"object": "order",
"fulfillment_status": "unfulfilled",
"live_mode": true,
"number": "0000",
"order_type": "checkout",
"return_status": "not_returned",
"shipment_status": "unshippable",
"portal_url": "http://app.example.com/portal_redirect/orders/e99cd4c0-816f-42c2-8153-7ed97037b163",
"statement_url": "http://app.example.com/statements/orders/e99cd4c0-816f-42c2-8153-7ed97037b163",
"status": "paid",
"checkout": "6bc17134-f347-4af7-bd68-c09ef9936412",
"created_at": 1787228417,
"updated_at": 1787228417
}
]
}List
Returns a list of your orders.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only return objects that belong to the given checkouts.
Only return objects that belong to the given customers.
Only return objects with the given fulfillment status.
Only return objects with the given IDs.
A limit on the number of items to be returned, between 1 and 100.
Only return objects that are live mode or test mode.
Only return orders with the given type.
The page of items you want returned.
Only return objects that belong to the given products.
The query to be used for full text search of this collection.
Only return objects with the given return status.
Only return objects with the given shipment status.
Only return objects with the given status.
Was this page helpful?